# Interface QuerySourceCapabilities

The capabilities for a feature source that can be queried.

interface QuerySourceCapabilities {
supportsAdd: boolean;
supportsAttachmentEditing: boolean;
supportsDelete: boolean;
supportsEditing: boolean;
supportsQuery: boolean;
supportsStandardizedQueries: boolean;
supportsUpdate: boolean;
}

#### Hierarchy (view full)

- Capabilities
  - QuerySourceCapabilities

#####
Index

### Properties

supportsAdd
supportsAttachmentEditing
supportsDelete
supportsEditing
supportsQuery
supportsStandardizedQueries
supportsUpdate

##
Properties

### `Readonly` supportsAdd

supportsAdd: boolean

Whether creation of features is supported.

Inherited from Capabilities.supportsAdd

### `Readonly` supportsAttachmentEditing

supportsAttachmentEditing: boolean

Whether modification of attachments on features is supported.

Inherited from Capabilities.supportsAttachmentEditing

### `Readonly` supportsDelete

supportsDelete: boolean

Whether deleting features is supported.

Inherited from Capabilities.supportsDelete

### `Readonly` supportsEditing

supportsEditing: boolean

Whether feature editing is supported.

Inherited from Capabilities.supportsEditing

### `Readonly` supportsQuery

supportsQuery: boolean

Whether the query operation is supported.

### `Readonly` supportsStandardizedQueries

supportsStandardizedQueries: boolean

Whether standardized queries are supported.

### `Readonly` supportsUpdate

supportsUpdate: boolean

Whether updating features is supported.

Inherited from Capabilities.supportsUpdate